<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.GjcReceiveListActivity"
    tools:ignore="ResourceName">

    <include layout="@layout/title_tool_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/list_bg"
        android:orientation="vertical"
        android:paddingLeft="20dp"
        android:paddingTop="10dp"
        android:paddingRight="20dp"
        android:paddingBottom="10dp">

        <!--        搜索框 区域-->
        <!--<LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal"
            android:paddingTop="5dp"
            android:paddingBottom="5dp">

            &lt;!&ndash;            主运单&ndash;&gt;
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="4"
                android:background="@drawable/search_shape_gnc_ware_house">

                <EditText
                    android:id="@+id/wbNo"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入主运单"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textSize="10dp" />

                <ImageView
                    android:id="@+id/wbNoScanIcon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/scan_code"
                    app:tint="@color/weak_grey" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="20dp"
                android:layout_height="match_parent" />

            &lt;!&ndash;分运单               &ndash;&gt;
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="4"
                android:background="@drawable/search_shape_gnc_ware_house"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/pickNo"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入分运单"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textSize="10dp" />

                <ImageView
                    android:id="@+id/scanIcon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/scan_code"
                    app:tint="@color/weak_grey" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="20dp"
                android:layout_height="match_parent" />

            &lt;!&ndash;            代理人&ndash;&gt;
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="3"
                android:background="@drawable/search_shape_gnc_ware_house">

                <EditText
                    android:id="@+id/agentCode"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/input_edit_text"
                    android:gravity="center"
                    android:hint="请输入代理人"
                    android:imeOptions="actionDone"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textSize="10dp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="20dp"
                android:layout_height="match_parent" />


            &lt;!&ndash;            搜索图标&ndash;&gt;
            <LinearLayout
                android:id="@+id/searchLayout"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:background="@drawable/search_shape_gnc_ware_house2"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:src="@mipmap/search"
                    app:tint="@color/colorPrimary" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="10dp"
                android:layout_height="match_parent" />
        </LinearLayout>-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/search_shape"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:layout_marginLeft="30dp"
                android:hint="@color/white"
                android:src="@mipmap/search" />

            <EditText
                android:id="@+id/wbNo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="2dp"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:hint="请输入运单号、运单后4位或代理"
                android:imeOptions="actionDone"
                android:inputType="text"
                android:maxLines="1"
                android:singleLine="true"
                android:textSize="16dp" />

            <ImageView
                android:id="@+id/wbNoScanIcon"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:layout_marginLeft="30dp"
                android:src="@mipmap/scan_code" />

            <TextView
                android:id="@+id/search"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:gravity="center_vertical"
                android:text="搜索"
                android:textColor="@color/colorPrimary"
                />
        </LinearLayout>

        <!--        列表-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_weight="1">

            <com.scwang.smart.refresh.layout.SmartRefreshLayout
                android:id="@+id/refreshLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <com.scwang.smart.refresh.header.ClassicsHeader
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/guo_nei_collect_list"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:overScrollMode="never" />

                <com.scwang.smart.refresh.footer.ClassicsFooter
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        </LinearLayout>

    </LinearLayout>
</LinearLayout>